     jQuery(document).ready(function($){
     ///////////////////////
     // Contact Form
     ///////////////////////
     $("#cf_send").click(
     function()
     {
        
        var $continue = true;
        if($("#cf_name").attr("value") == "")
        {
          $("#cf_name").addClass("alert");
          $continue = false;
        }
        else{ $("#cf_name").removeClass("alert"); }
        
        var filter = /^([a-zA-Z0-9_.-])+@(([a-zA-Z0-9-])+.)+([a-zA-Z0-9]{2,4})+$/;
        
        if($("#cf_mail").attr("value") == "")
        {
          $("#cf_mail").addClass("alert");
          $continue = false;
        }
        else if (!filter.test($("#cf_mail").attr("value"))) { $("cf_mail").addClass("alert"); $continue = false; }
        else{ $("#cf_mail").removeClass("alert"); }
        
        if($("#cf_text").attr("value") == "")
        {
          $("#cf_text").addClass("alert");
          $continue = false;
        }
        else{ $("#cf_text").removeClass("alert"); }
        
        if ($continue == false){return false;}
     }
     );
     
     $("#fc_submit").click(
    	     function()
    	     {
    	        
    	        var $continue = true;
    	        if($("#fc_name").attr("value") == "")
    	        {
    	          $("#fc_name").addClass("alert");
    	          $continue = false;
    	        }
    	        else{ $("#fc_name").removeClass("alert"); }
    	        
    	        var filter = /^([a-zA-Z0-9_.-])+@(([a-zA-Z0-9-])+.)+([a-zA-Z0-9]{2,4})+$/;
    	        
    	        if($("#fc_email").attr("value") == "")
    	        {
    	          $("#fc_email").addClass("alert");
    	          $continue = false;
    	        }
    	        else if (!filter.test($("#fc_email").attr("value"))) { $("fc_email").addClass("alert"); $continue = false; }
    	        else{ $("#fc_email").removeClass("alert"); }
    	        
    	        if($("#fc_text").attr("value") == "")
    	        {
    	          $("#fc_text").addClass("alert");
    	          $continue = false;
    	        }
    	        else{ $("#fc_text").removeClass("alert"); }
    	        
    	        if ($continue == false){return false;}
    	     }
    	     );     
     
     
     $('#respond #submit').click( function() {
    	 if( $(this).parents('form').find('.logged-in-as').size() > 0 ) return true;
    	 var is_ok = true;
    	 
    	 if($("#author").attr("value") == "")
         {
           $("#author").addClass("alert");
           is_ok = false;
         }
         else{ $("#author").removeClass("alert"); }
         
         var filter = /^([a-zA-Z0-9_.-])+@(([a-zA-Z0-9-])+.)+([a-zA-Z0-9]{2,4})+$/;
         
         if($("#mail").attr("value") == "")
         {
           $("#mail").addClass("alert");
           is_ok = false;
         }
         else if (!filter.test($("#mail").attr("value"))) { $("mail").addClass("alert"); is_ok = false; }
         else{ $("#mail").removeClass("alert"); }
         
         if($("#comment").attr("value") == "")
         {
           $("#comment").addClass("alert");
           is_ok = false;
         }
         else{ $("#comment").removeClass("alert"); }
         
         if (is_ok == false){return false;}
     });
     
  });
